--- old/cpp/Makefile	2013-10-07 21:47:12.472951095 +0000
+++ new/cpp/Makefile	2013-10-07 21:47:12.486188705 +0000
@@ -33,7 +33,11 @@
 CLEANFILES += \
 	y.tab.c$(STRAP)
 
-CFLAGS +=	-O2
+CERRWARN=	-Wall -Wextra
+CERRWARN +=	-Wno-unknown-pragmas
+CERRWARN +=	-Wno-sign-compare
+CERRWARN +=	-Wno-unused-label
+CFLAGS +=	-O2 $(CERRWARN)
 LD =		$(GCC)
 
 COMPILE.c =	$(GCC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@
--- old/cpp/cpp.c	2013-10-07 21:47:12.747236347 +0000
+++ new/cpp/cpp.c	2013-10-07 21:47:12.760530684 +0000
@@ -249,7 +249,7 @@
 static	char		*doincl(char *);
 static	int		equfrm(char *, char *, char *);
 static	char		*dodef(char *);
-static	char		*control(char *);
+void			control(char *);
 static	struct symtab	*stsym(char *);
 static	struct symtab	*ppsym(char *);
 void		pperror(char *fmt, ...);
@@ -908,7 +908,7 @@
 #define fasscan() ptrtab=fastab+COFF
 #define sloscan() ptrtab=slotab+COFF
 
-static char *
+void
 control(p) register char *p; {/* find and handle preprocessor control lines */
 	register struct symtab *np;
 for (;;) {
